%define upstream_name	 HTTP-Request-Params
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Retrieve GET/POST Parameters from HTTP Requests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:     perl-HTTP-Request-Params-1.01-fix-build.patch

BuildRequires: perl(CGI) >= 3.0.0
BuildRequires: perl(Class::Accessor::Fast) >= 0.190.0
BuildRequires: perl(Email::MIME::ContentType) >= 1.0.0
BuildRequires: perl(Email::MIME::Modifier) >= 1.420.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Request) >= 1.400.0
BuildRequires: perl(HTTP::Request::Common) >= 1.260.0
BuildArch:  noarch
Requires: perl(Class::Accessor::Fast)

%description
This software does all the dirty work of parsing HTTP Requests to find incoming
query parameters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .fix-build

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/HTTP
%{_mandir}/*/*


%changelog
* Sat Dec 21 2013 sander85 <sander85> 1.10.0-3.mga4
+ Revision: 559569
- Fix build

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 368329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 1.10.0-1.mga3
+ Revision: 268200
- adding missing requires:

* Sun Jan 23 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 33835
- mageia rebuild
- imported package perl-HTTP-Request-Params

